FROM python:3.11-slim
ARG UID=1000
ARG GID=1000
RUN groupadd --system --gid ${GID} worker && \
    adduser --system --gid ${GID} --uid ${UID} --home /home/worker worker
ENV PATH=/home/worker/.local/bin:$PATH
WORKDIR /home/worker
# Super user custom actions
{{ item.build.super_user_custom_actions }}
# End of super user custom actions
USER worker
RUN pip install mcpo uv
EXPOSE 8000
# Worker custom actions
{{ item.build.worker_custom_actions }}
# End of worker custom actions
CMD ["uvx", "mcpo", "--host", "0.0.0.0", "--port", "8000", "--"{% for cmd in item.build.mcp_server_commands %}, "{{ cmd }}"{% endfor %}]